########################################
#	Hee.pm
#	MT::Plugin::ModHee, version 0.01
#		 by Kazeburo <kazeburo@nomadscafe.jp>
#
#	DATE: 04.6.23 0:11 PM
#	
########################################
package MT::App::Hee;

use strict;
use MT::App;
@MT::App::Hee::ISA = qw(MT::App);
use MT::Entry;
use MT::PluginData;
use MT::ConfigMgr;
use URI;
use vars qw($VERSION);
$VERSION='0.01';

sub init {
	my $app = shift;
	$app->SUPER::init (@_) or return;
	$app->add_methods (
		view => \&view,
		vote => \&vote,
	);
	$app->{default_mode} = 'view';
  
	$app;
}

sub view {
	return;
}

sub vote {
	my $app = shift;
	my $q = $app->{query};

	my $id = $q->param('entry_id');
	my $entry = MT::Entry->load ($id) or return
		$app->error ($app->translate ("Entry does not exist: [_1]", $id));
	
	my $data;
	$data = MT::PluginData->load ({
	  	plugin=>'MTModHee',
		key=>$id});
		
	if(!$data){
	  	$data = MT::PluginData->new;
	  	$data->plugin ('MTModHee');
	  	$data->key ($id);
	  	$data->data (\'0');
	}
	
	my $count = ${$data->data};
	$count++;
	$data->data(\$count);
	
	$data->save;
	
	#rebuild
	
	$app->rebuild_indexes( BlogID => $entry->blog_id )
		or return $app->error($app->translate(
		"Rebuild failed: [_1]", $app->errstr));

	$app->rebuild_entry( Entry => $entry )
		or return $app->error($app->translate(
		"Rebuild failed: [_1]", $app->errstr));	
	
	my $cfg=MT::ConfigMgr->instance();
	my $imagepath = URI->new_abs($cfg->StaticWebPath . "images/spacer.gif",$cfg->CGIPath);
	
	#"posted:$imagepath";
	$app->redirect($imagepath);
}

1;
